﻿Option Strict On
Option Explicit On

Public Class Form1

    Private m_bolIsReady As Boolean = False
    Private ReadOnly cPlayer As New MFPlayer

    Private Sub Form1_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing

        Timer1.Enabled = False

        cPlayer.Dispose()

    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load

        Timer1.Interval = 100

        Dim strMedia As String
        Dim intChannelCount As Integer

        If cPlayer.IsMFInit Then

            ' wird nur benötigt wenn man ein Video abspielen möchte!
            ' Handle vom Fenster auf dem das Video dargestellt werden soll
            cPlayer.SetRenderHwnd(PictureBox1.Handle)

            ' alle von der Media Foundation unterstützte Audio/Video Formate
            ' nur WebTV hab ich damit noch nicht zum laufen bekommen!
            strMedia = "http://tunein.t4e.dj/hard/dsl/mp3"

            m_bolIsReady = cPlayer.SetMediaUrl(strMedia)

            If m_bolIsReady Then

                intChannelCount = cPlayer.GetStreamVolumeChannelCount()

                If intChannelCount > 0 Then

                    Debug.Print("ChannelCount: " & intChannelCount.ToString)

                    For intChannelItem As Integer = 0 To intChannelCount - 1

                        TrackBar1.Value = 100 * Convert.ToInt32(cPlayer.GetStreamVolume(intChannelItem))
                        TrackBar2.Value = 100 * Convert.ToInt32(cPlayer.GetStreamVolume(intChannelItem))

                    Next

                End If

                Timer1.Enabled = True

            End If

        End If

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        If m_bolIsReady Then

            cPlayer.PlayMedia()

        End If

    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click

        If m_bolIsReady Then

            cPlayer.PauseMedia()

        End If

    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click

        If m_bolIsReady Then

            cPlayer.StopMedia()

        End If

    End Sub

    Private Sub TrackBar1_Scroll(sender As Object, e As EventArgs) Handles TrackBar1.Scroll

        If m_bolIsReady Then

            cPlayer.SetStreamVolume(0, Convert.ToSingle(TrackBar1.Value) / 100)

        End If

    End Sub

    Private Sub TrackBar2_Scroll(sender As Object, e As EventArgs) Handles TrackBar2.Scroll

        If m_bolIsReady Then

            cPlayer.SetStreamVolume(1, Convert.ToSingle(TrackBar2.Value) / 100)

        End If

    End Sub

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick

        If m_bolIsReady Then

            Me.Text = "PlayPosition: " & cPlayer.Time2String(cPlayer.GetMediaPlayPosition) &
                " Duration: " & cPlayer.Time2String(cPlayer.GetMediaDuration)

        End If

    End Sub

End Class
